<ion-header>
  <ion-toolbar>

    <ion-title>Ajout de cette/votre station</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen class="ion-padding" >
  <ion-slides  [options]="slideOpts" #slides>
    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideNameForm">
            <p>Quelle est le nom de cette/votre station ?</p>
            <ion-item>
              <ion-label position="floating">Nom</ion-label>
              <ion-input formControlName="name"[(ngModel)]="station.nom" required></ion-input>
            </ion-item>
            <p>Manager de cette/votre station?</p>
            <ion-item>
              <ion-label position="floating">Prenom</ion-label>
              <ion-input formControlName="pmanager"[(ngModel)]="station.manager.prenom" required></ion-input>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Nom</ion-label>
              <ion-input formControlName="nmanager"[(ngModel)]="station.manager.nom" required></ion-input>
            </ion-item>
            <ion-item>
              <ion-label position="floating">tel</ion-label>
              <ion-input formControlName="tmanager"[(ngModel)]="station.manager.tel" required></ion-input>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Email</ion-label>
              <ion-input formControlName="emanager"[(ngModel)]="station.manager.email"></ion-input>
            </ion-item>
          </form>
          <div>

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" [disabled]="slideNameForm.invalid"  (click)="next()">Suivant
            </ion-button>
          </div>

          <!--          <div class="content">-->
          <!--            <div class="ion-padding">-->
          <!--              <ion-button  shape="round" class="btn btn-secondary btnred ion-no-margin" expand="block"-->
          <!--                           type="submit" [disabled]="slideTypeForm.invalid" (click)="next()">Suivant<ion-icon name="arrow-forward-outline"></ion-icon>-->
          <!--              </ion-button>-->
          <!--            </div>-->
          <!--          </div>-->
        </div>
      </div>
    </ion-slide>
    <ion-slide>
      <div class="slide">
        <div class="container">


          <form [formGroup]="slideRegionForm">
              <p>Quelle region, departement, quartier?</p>
            <ion-item>
              <ion-label position="floating">Région</ion-label>
              <ion-select  required [(ngModel)]="station.region" (ionChange)="departementid(station.region)"  formControlName="region" interface="action-sheet">
                  <ion-select-option *ngFor="let region of regions" [value]="region.id"   >{{region.nom}}</ion-select-option>
              </ion-select>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Département</ion-label>
              <ion-select required  [(ngModel)]="station.departement" formControlName="departement" interface="action-sheet">
                <ion-select-option *ngFor="let departement of departements" [value]="departement.id">{{departement.nom}}</ion-select-option>
              </ion-select>
            </ion-item>
            <ion-item>
              <ion-label position="floating">quartier</ion-label>
              <ion-input [(ngModel)]="station.localite" required formControlName="localite"></ion-input>
            </ion-item>

          </form>

          <div style="width: 100%;display: flex">
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit"   (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" [disabled]="slideRegionForm.invalid"  (click)="next()">Suivant
            </ion-button>
          </div>
        </div>
      </div>

    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slidePositionForm">
            <div id="map3"></div>

          </form>


          <div style="width: 100%;display: flex">

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit"   (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" [disabled]="slidePositionForm.invalid"  (click)="next()">Suivant
            </ion-button>
          </div>
        </div>
      </div>
    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideCarburantForm">
            <p>Qu'elles sont les carburants disponible dans la station ?</p>

            <ion-radio-group formControlName="essence"[(ngModel)]="station.essence.statut">
              <ion-list-header>
                <ion-label>Avez vous du Super?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>

                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
            <ion-item lines="full" *ngIf="station.essence.statut==1">
              <ion-label position="floating">Prix</ion-label>
              <ion-input formControlName="prixes" required [(ngModel)]="station.essence.prix"></ion-input>
            </ion-item>
            <ion-radio-group formControlName="gazoil"[(ngModel)]="station.gazoil.statut">
              <ion-list-header>
                <ion-label>Avez vous du gazoil?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>

                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
            <ion-item lines="full" *ngIf="station.gazoil.statut==1">
              <ion-label position="floating">Prix</ion-label>
              <ion-input formControlName="prixgaz" required [(ngModel)]="station.gazoil.prix"></ion-input>
            </ion-item>
            <ion-radio-group formControlName="gpl"[(ngModel)]="station.gpl.statut">
              <ion-list-header>
                <ion-label>Avez vous du gpl?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>

                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
            <ion-item lines="full" *ngIf="station.gpl.statut==1">
              <ion-label position="floating">Prix</ion-label>
              <ion-input formControlName="prixgpl" required [(ngModel)]="station.gpl.prix"></ion-input>
            </ion-item>
            <ion-radio-group formControlName="electrique" [(ngModel)]="station.electrique.statut">
              <ion-list-header>
                <ion-label>Avez vous des stations electriques?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>

                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
            <ion-item lines="full" *ngIf="station.electrique.statut==1">
              <ion-label position="floating">Prix</ion-label>
              <ion-input formControlName="prixelec" required [(ngModel)]="station.electrique.prix"></ion-input>
            </ion-item>
          </form>


          <div style="width: 100%;display: flex">
<!--            style="position: absolute; bottom: 5vh;  width: 100%;display: flex">-->
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit"   (click)="previous()">Precedent
            </ion-button>
            <ion-button  shape="round" class="btn btn-secondary btnred " expand="block"
                         type="submit" [disabled]="slideCarburantForm.invalid" (click)="next()">Suivant
            </ion-button>
          </div>
        </div>
      </div>
    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideAlimentationForm">
            <p>Rubrique alimentation</p>
            <ion-radio-group formControlName="statut" required [(ngModel)]="station.superette.statut">
              <ion-list-header>
                <ion-label>Avez vous une alimentation?</ion-label>
              </ion-list-header>
              <div style="display: flex">
              <ion-item lines="none">
                <ion-label>oui</ion-label>
                <ion-radio slot="start" color="success" [value]=1></ion-radio>
              </ion-item>

              <ion-item lines="none">
                <ion-label>non</ion-label>
                <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
              </ion-item>
              </div>
            </ion-radio-group>

<!--            <ion-segment  formControlName="statut" required [(ngModel)]="station.superette.statut">-->
<!--              <ion-segment-button [value]=1 tappable>-->
<!--                <ion-label>Oui</ion-label>-->
<!--              </ion-segment-button>-->
<!--              <ion-segment-button [value]=0 tappable>-->
<!--                <ion-label>Non</ion-label>-->
<!--              </ion-segment-button>-->
<!--            </ion-segment>-->
            <div *ngIf="station.superette.statut==1">
              <ion-radio-group formControlName="superette"[(ngModel)]="station.superette.superette">
                <ion-list-header>
                  <ion-label>Avez vous une superette?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="fastfood" [(ngModel)]="station.superette.fastfood">
                <ion-list-header>
                  <ion-label>Avez vous un Fast Food?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <div *ngIf="station.superette.fastfood==1">
            <p>Quelle est le nom de votre fast Food?</p>
            <ion-item>
              <ion-label position="floating">Nom</ion-label>
              <ion-input formControlName="nomfastfood" [(ngModel)]="station.superette.nomfastfood" ></ion-input>
            </ion-item>
              </div>
              <ion-radio-group required formControlName="cafeteria"[(ngModel)]="station.superette.cafeteria">
                <ion-list-header>
                  <ion-label>Avez vous un cafeteria?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="boulangerie"[(ngModel)]="station.superette.boulangerie">
                <ion-list-header>
                  <ion-label>Avez vous une boulangerie?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="patisserie"[(ngModel)]="station.superette.patisserie">
                <ion-list-header>
                  <ion-label>Avez vous une patisserie?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="restaurant"[(ngModel)]="station.superette.restaurant">
                <ion-list-header>
                  <ion-label>Avez vous un restaurant?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <div *ngIf="station.superette.restaurant==1">
                <p>Quelle est le nom de votre restaurant?</p>
                <ion-item>
                  <ion-label position="floating">Nom</ion-label>
                  <ion-input formControlName="nomrestaurant"[(ngModel)]="station.superette.nomrestaurant" required></ion-input>
                </ion-item>
              </div>
              <ion-radio-group formControlName="toilette"[(ngModel)]="station.superette.toilette">
                <ion-list-header>
                  <ion-label>Avez vous des toilettes?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <div *ngIf="station.superette.toilette==1">
                <ion-radio-group formControlName="wch"[(ngModel)]="station.superette.wch">
                  <ion-list-header>
                    <ion-label>Avez vous des toilettes pour homme?</ion-label>
                  </ion-list-header>
                  <div style="display: flex">
                    <ion-item lines="none">
                      <ion-label>oui</ion-label>
                      <ion-radio slot="start" color="success" [value]=1></ion-radio>
                    </ion-item>

                    <ion-item lines="none">
                      <ion-label>non</ion-label>
                      <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                    </ion-item>
                  </div>
                </ion-radio-group>
                <ion-radio-group formControlName="wcf"[(ngModel)]="station.superette.wcf">
                  <ion-list-header>
                    <ion-label>Avez vous des toilettes pour femme?</ion-label>
                  </ion-list-header>
                  <div style="display: flex">
                    <ion-item lines="none">
                      <ion-label>oui</ion-label>
                      <ion-radio slot="start" color="success" [value]=1></ion-radio>
                    </ion-item>

                    <ion-item lines="none">
                      <ion-label>non</ion-label>
                      <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                    </ion-item>
                  </div>
                </ion-radio-group>
                <ion-radio-group formControlName="wcu"[(ngModel)]="station.superette.wcu">
                  <ion-list-header>
                    <ion-label>Avez vous des toilettes unisexes?</ion-label>
                  </ion-list-header>
                  <div style="display: flex">
                    <ion-item lines="none">
                      <ion-label>oui</ion-label>
                      <ion-radio slot="start" color="success" [value]=1></ion-radio>
                    </ion-item>

                    <ion-item lines="none">
                      <ion-label>non</ion-label>
                      <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                    </ion-item>
                  </div>
                </ion-radio-group>
                <ion-radio-group formControlName="espacebebe"[(ngModel)]="station.superette.espacebebe">
                  <ion-list-header>
                    <ion-label>Avez vous des espaces bébé dans les toilettes?</ion-label>
                  </ion-list-header>
                  <div style="display: flex">
                    <ion-item lines="none">
                      <ion-label>oui</ion-label>
                      <ion-radio slot="start" color="success" [value]=1></ion-radio>
                    </ion-item>

                    <ion-item lines="none">
                      <ion-label>non</ion-label>
                      <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                    </ion-item>
                  </div>
                </ion-radio-group>
              </div>


            <ion-radio-group formControlName="tmoney" required [(ngModel)]="station.superette.tmoney">
              <ion-list-header>
                <ion-label>Avez vous un service de transfert d'argent?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>
                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
            <div *ngIf="station.superette.tmoney==1">
              <ion-radio-group formControlName="orangemoney" required [(ngModel)]="station.superette.orangemoney">
                <ion-list-header>
                  <ion-label>Avez vous un Orange Money?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="wave" required [(ngModel)]="station.superette.wave">
                <ion-list-header>
                  <ion-label>Avez vous Wave?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>

              <ion-radio-group formControlName="emoney" required [(ngModel)]="station.superette.emoney">
                <ion-list-header>
                  <ion-label>Avez vous E-money?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="freemoney" required [(ngModel)]="station.superette.freemoney">
                <ion-list-header>
                  <ion-label>Avez vous free money?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>

              <ion-radio-group formControlName="wizall" required [(ngModel)]="station.superette.wizall">
                <ion-list-header>
                  <ion-label>Avez vous Wizall?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="proximo" required [(ngModel)]="station.superette.proximo">
                <ion-list-header>
                  <ion-label>Avez vous Proximo?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="wari" required [(ngModel)]="station.superette.wari">
                <ion-list-header>
                  <ion-label>Avez vous Wari?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="yup" required [(ngModel)]="station.superette.yup">
                <ion-list-header>
                  <ion-label>Avez vous Yup?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="westerunion" required [(ngModel)]="station.superette.westerunion">
                <ion-list-header>
                  <ion-label>Avez vous Westerunion?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="moneygram" required [(ngModel)]="station.superette.moneygram">
                <ion-list-header>
                  <ion-label>Avez vous moneygram?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="ria" required [(ngModel)]="station.superette.ria">
                <ion-list-header>
                  <ion-label>Avez vous Ria?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
            </div>
            <ion-radio-group formControlName="pmoney" required [(ngModel)]="station.superette.pmoney">
              <ion-list-header>
                <ion-label>Avez vous un service de payement de facture?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>

              <ion-item lines="none">
                <ion-label>non</ion-label>
                <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
              </ion-item>
              </div>
            </ion-radio-group>
                <div *ngIf="station.superette.pmoney==1">
                  <ion-radio-group formControlName="woyofal" required [(ngModel)]="station.superette.woyofal">
                    <ion-list-header>
                      <ion-label>Avez vous Woyofal?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>
                  <ion-radio-group formControlName="senelec" required [(ngModel)]="station.superette.senelec">
                    <ion-list-header>
                      <ion-label>Avez vous Senelec?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>
                  <ion-radio-group formControlName="canal" required [(ngModel)]="station.superette.canal">
                    <ion-list-header>
                      <ion-label>Avez vous Canal?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>
                  <ion-radio-group formControlName="orange" required [(ngModel)]="station.superette.orange">
                    <ion-list-header>
                      <ion-label>Avez vous Orange?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>
                  <ion-radio-group formControlName="rapido" required [(ngModel)]="station.superette.rapido">
                    <ion-list-header>
                      <ion-label>Avez vous Rapido?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>
                  <ion-radio-group formControlName="sonatel" required [(ngModel)]="station.superette.sonatel">
                    <ion-list-header>
                      <ion-label>Avez vous Sonatel?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>
                  <ion-radio-group formControlName="seneau" required [(ngModel)]="station.superette.seneau">
                    <ion-list-header>
                      <ion-label>Avez vous Sen Eau?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>

              </div>
            <ion-radio-group formControlName="cmoney" required [(ngModel)]="station.superette.cmoney">
              <ion-list-header>
                <ion-label>Aceptez vous differents moyens de paiement?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>
                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
                <div *ngIf="station.superette.cmoney==1">
                  <ion-radio-group formControlName="cash" required [(ngModel)]="station.superette.cash">
                    <ion-list-header>
                      <ion-label>Aceptez vous le Cash?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>
                  <ion-radio-group formControlName="carte" required [(ngModel)]="station.superette.carte">
                    <ion-list-header>
                      <ion-label>Aceptez vous les cartes banquaires?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>
                  <ion-radio-group formControlName="kalpe" required [(ngModel)]="station.superette.kalpe">
                    <ion-list-header>
                      <ion-label>Aceptez vous les Kalpe?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>
                  <ion-radio-group formControlName="ctotal" required [(ngModel)]="station.superette.ctotal">
                    <ion-list-header>
                      <ion-label>Aceptez vous les cartes Total?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>
                  <ion-radio-group formControlName="celton" required [(ngModel)]="station.superette.celton">
                    <ion-list-header>
                      <ion-label>Aceptez vous les cartes Elton?</ion-label>
                    </ion-list-header>
                    <div style="display: flex">
                      <ion-item lines="none">
                        <ion-label>oui</ion-label>
                        <ion-radio slot="start" color="success" [value]=1></ion-radio>
                      </ion-item>

                      <ion-item lines="none">
                        <ion-label>non</ion-label>
                        <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                      </ion-item>
                    </div>
                  </ion-radio-group>

              </div>
            </div>
          </form>


          <div style="width: 100%;display: flex">
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit"   (click)="previous()">Precedent
            </ion-button>
            <ion-button  shape="round" class="btn btn-secondary btnred " expand="block"
                         type="submit" [disabled]="slideAlimentationForm.invalid" (click)="next()">Suivant
            </ion-button>
          </div>
        </div>
      </div>
    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideGabForm">
            <h2>Rubrique GAB </h2>
            <ion-radio-group formControlName="existgab" required [(ngModel)]="existgab">
              <ion-list-header>
                <ion-label>Avez vous un GAB?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>

                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
            <div *ngIf="existgab==1">
              <ion-radio-group formControlName="statut" required [(ngModel)]="station.gab.statut">
                <ion-list-header>
                  <ion-label>Les gichets sont ils en marches?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <p>Combien de gichet disposez vous ?</p>
              <ion-item>
                <ion-label position="floating">Nombre</ion-label>
                <ion-input formControlName="nombregab" (ionInput)="onChangeGab($event)" [(ngModel)]="nombregab" type="number" min="1" max="10" required></ion-input>
              </ion-item>
              <div *ngIf="nombregab>0">
                <div *ngFor="let gab of t.controls; let i = index">
                  <div class="list-group-item">
                    <div [formGroup]="gab" class="form-row">
                      <ion-item lines="full">
                        <ion-label position="floating">Nom</ion-label>
                        <ion-input formControlName="nom" required></ion-input>
                      </ion-item>
                      <ion-radio-group formControlName="statut" required>
                        <ion-list-header>
                          <ion-label>Le GAB est'il disponible?</ion-label>
                        </ion-list-header>
                        <div style="display: flex">
                          <ion-item lines="none">
                            <ion-label>oui</ion-label>
                            <ion-radio slot="start" color="success" [value]=1></ion-radio>
                          </ion-item>

                          <ion-item lines="none">
                            <ion-label>non</ion-label>
                            <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                          </ion-item>
                        </div>
                      </ion-radio-group>
                    </div>
                  </div>
                </div>              </div>
            </div>
          </form>


          <div style="display: flex">
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred " expand="block"
                         type="submit" [disabled]="slideGabForm.invalid" (click)="next()">Suivant
            </ion-button>
          </div>
        </div>
      </div>
    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideReposForm">
            <h2>Rubrique Aire de repos </h2>
            <ion-radio-group formControlName="statut" required [(ngModel)]="station.airederepos.statut">
              <ion-list-header>
                <ion-label>Avez vous une aire de repos?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>

                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
            <div *ngIf="station.airederepos.statut==1">

              <ion-radio-group formControlName="airedepicnic" required [(ngModel)]="station.airederepos.airedepicnic">
                <ion-list-header>
                  <ion-label>Avez vous une aire de picnic aménagée?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="espaceenfant" required [(ngModel)]="station.airederepos.espaceenfant">
                <ion-list-header>
                  <ion-label>Avez vous un espace enfant  aménagée?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="eau" required [(ngModel)]="station.airederepos.eau">
                <ion-list-header>
                  <ion-label>Avez vous accès à l'eau potable?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="gonflage" required [(ngModel)]="station.airederepos.gonflage">
                <ion-list-header>
                  <ion-label>Avez vous une station de gonflage de pneu?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="handicape" required [(ngModel)]="station.airederepos.handicape">
                <ion-list-header>
                  <ion-label>Avez vous un parking pour les handicapés?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="pvl" required [(ngModel)]="station.airederepos.pvl">
                <ion-list-header>
                  <ion-label>Avez vous un parking pour les vehicules légers?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="ppl" required [(ngModel)]="station.airederepos.ppl">
                <ion-list-header>
                  <ion-label>Avez vous un parking pour les poids lourds?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="ppc" required [(ngModel)]="station.airederepos.ppc">
                <ion-list-header>
                  <ion-label>Avez vous un parking pour les caravanes?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>

            </div>
          </form>


          <div style="display: flex">
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred " expand="block"
                         type="submit" [disabled]="slideReposForm.invalid" (click)="next()">Suivant
            </ion-button>
          </div>
        </div>
      </div>
    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideGazForm">
            <h2>Rubrique GAZ </h2>
            <ion-radio-group formControlName="statut" required [(ngModel)]="station.gaz.statut">
              <ion-list-header>
                <ion-label>Avez vous des bouteilles de gaz?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>

                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
            <div *ngIf="station.gaz.statut==1">
              <ion-radio-group formControlName="statut27" required [(ngModel)]="station.gaz.statut27">
                <ion-list-header>
                  <ion-label>Avez vous des bouteilles de 2,7 Kg</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-item lines="full" *ngIf="station.gaz.statut27==1">
                <ion-label position="floating">Prix</ion-label>
                <ion-input formControlName="prix27" required [(ngModel)]="station.gaz.prix27"></ion-input>
              </ion-item>
              <ion-radio-group formControlName="statut6" required [(ngModel)]="station.gaz.statut6">
                <ion-list-header>
                  <ion-label>Avez vous des bouteilles de 6 Kg</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-item lines="full" *ngIf="station.gaz.statut6==1">
                <ion-label position="floating">Prix</ion-label>
                <ion-input formControlName="prix6" required [(ngModel)]="station.gaz.prix6"></ion-input>
              </ion-item>
              <ion-radio-group formControlName="statut9" required [(ngModel)]="station.gaz.statut9">
                <ion-list-header>
                  <ion-label>Avez vous des bouteilles de 9 Kg</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-item lines="full" *ngIf="station.gaz.statut9==1">
                <ion-label position="floating">Prix</ion-label>
                <ion-input formControlName="prix9" required [(ngModel)]="station.gaz.prix9"></ion-input>
              </ion-item>
              <ion-radio-group formControlName="statut125" required [(ngModel)]="station.gaz.statut125">
                <ion-list-header>
                  <ion-label>Avez vous des bouteilles de 12.5 Kg</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-item lines="full" *ngIf="station.gaz.statut125==1">
                <ion-label position="floating">Prix</ion-label>
                <ion-input formControlName="prix125" required [(ngModel)]="station.gaz.prix125"></ion-input>
              </ion-item>
              <ion-radio-group formControlName="statut32" required [(ngModel)]="station.gaz.statut32">
                <ion-list-header>
                  <ion-label>Avez vous des bouteilles de 32 Kg</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-item lines="full" *ngIf="station.gaz.statut32==1">
                <ion-label position="floating">Prix</ion-label>
                <ion-input formControlName="prix32" required [(ngModel)]="station.gaz.prix32"></ion-input>
              </ion-item>
              <ion-radio-group formControlName="statut38" required [(ngModel)]="station.gaz.statut38">
                <ion-list-header>
                  <ion-label>Avez vous des bouteilles de 38 Kg</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-item lines="full" *ngIf="station.gaz.statut38==1">
                <ion-label position="floating">Prix</ion-label>
                <ion-input formControlName="prix38" required [(ngModel)]="station.gaz.prix38"></ion-input>
              </ion-item>

            </div>
          </form>


          <div style="display: flex">
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred " expand="block"
                         type="submit" [disabled]="slideGazForm.invalid" (click)="next()">Suivant
            </ion-button>
          </div>
        </div>
      </div>
    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideCulteForm">
            <h2>Rubrique lieu de culte </h2>
            <ion-radio-group formControlName="statut" required [(ngModel)]="station.culte.statut">
              <ion-list-header>
                <ion-label>Avez vous un lieu de culte?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>

                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
            <div *ngIf="station.culte.statut==1">

              <ion-radio-group formControlName="mosque" required [(ngModel)]="station.culte.mosque">
                <ion-list-header>
                  <ion-label>Avez vous une mosquée aménagée?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="abulution" required [(ngModel)]="station.culte.abulution">
                <ion-list-header>
                  <ion-label>Avez vous un espace abulution aménagée?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="eglise" required [(ngModel)]="station.culte.eglise">
                <ion-list-header>
                  <ion-label>Avez vous une église aménagée?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>

            </div>
          </form>


          <div style="display: flex">
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred " expand="block"
                         type="submit" [disabled]="slideCulteForm.invalid" (click)="next()">Suivant
            </ion-button>
          </div>
        </div>
      </div>
    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideEntretienForm">
            <h2>Rubrique service / Maintenance </h2>
            <ion-radio-group formControlName="statut" required [(ngModel)]="station.entretien.statut">
              <ion-list-header>
                <ion-label>Avez vous un service d'entretien / Maintenance?</ion-label>
              </ion-list-header>
              <div style="display: flex">
                <ion-item lines="none">
                  <ion-label>oui</ion-label>
                  <ion-radio slot="start" color="success" [value]=1></ion-radio>
                </ion-item>

                <ion-item lines="none">
                  <ion-label>non</ion-label>
                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                </ion-item>
              </div>
            </ion-radio-group>
            <div *ngIf="station.entretien.statut==1">

              <ion-radio-group formControlName="parebrise" required [(ngModel)]="station.entretien.parebrise">
                <ion-list-header>
                  <ion-label>Avez vous un service parebrise?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="ventepneu" required [(ngModel)]="station.entretien.ventepneu">
                <ion-list-header>
                  <ion-label>Avez vous un service de vente de pneu?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="frein" required [(ngModel)]="station.entretien.frein">
                <ion-list-header>
                  <ion-label>Avez vous un service de plaqettes de frein?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="climatisation" required [(ngModel)]="station.entretien.climatisation">
                <ion-list-header>
                  <ion-label>Faites vous l'entretien de climatisation?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="lavage" required [(ngModel)]="station.entretien.lavage">
                <ion-list-header>
                  <ion-label>Faites vous l'entretien de climatisation?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="vidange" required [(ngModel)]="station.entretien.vidange">
                <ion-list-header>
                  <ion-label>Faites vous l'entretien de l'huile et des filtres?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>
              <ion-radio-group formControlName="mecanique" required [(ngModel)]="station.entretien.verification">
                <ion-list-header>
                  <ion-label>Avez vous un service mecanique?</ion-label>
                </ion-list-header>
                <div style="display: flex">
                  <ion-item lines="none">
                    <ion-label>oui</ion-label>
                    <ion-radio slot="start" color="success" [value]=1></ion-radio>
                  </ion-item>

                  <ion-item lines="none">
                    <ion-label>non</ion-label>
                    <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>
                  </ion-item>
                </div>
              </ion-radio-group>

            </div>
          </form>


          <div style="display: flex">
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred " expand="block"
                         type="submit" [disabled]="slideEntretienForm.invalid" (click)="onSubmit()">Ajouter
            </ion-button>
          </div>
        </div>
      </div>
    </ion-slide>

  </ion-slides>
</ion-content>
